# ezQuake Manual: Screen & Powerup Blends Variables

## cl_bonusflash

### Description

Controls weapon and item pickup flash.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | On.
0 | Off.

## cl_demoplay_flash

### Description

Reduces flash grenade effect when watching demos.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.
Values from 0 to 1 are possible. 0 - flash effects disabled, 1 - original.

## gl_cshiftpercent

### Description

This variable sets the percentage value for palette shifting effects (damage flash, powerup blend). (needs gl_polyblend 1)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 100

Variable is float.

## gl_hwblend

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Hardware palette changing.
0 | OpenGL routines.

Note: 1 can be slow on wintNT/2K.

## gl_polyblend

This variable has been renamed to

### Description

Controls a short burst of screen tinting on various events. Variables to look at are: gl_cshiftpercent (controls overall palette shifting) v_damagechisft v_quadcshift v_pentcshift v_ringcshift v_suitcshift.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Enable palette shifting when submerged, have powerup, or taking damage. (turns on screen tinting)
0 | Disable palette shifting when submerged, have powerup, or taking damage. (turns off screen tinting)

## v_contentblend

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.33

### Values

value | description
1 | On (palette shifts when you're in liquid).
0 | Off (no palette shifting when you're in liquid).

## v_damagecshift

### Description

Needs gl_polyblend 1.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.33

### Values

value | description
0 | Damage filter on.
0.5 | 50% Damage filter on.
1 | Damage filter off.

## v_dlightcshift

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Turns on light blend when you're inside a light bubble (with gl_flashblend 1).
0 | Turns off light blend when you're inside a light bubble (with gl_flashblend 1).

## v_pentcshift

### Description

Flash coefficient for when you take the pent. (needs gl_polyblend 1)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.75

Variable is float.

## v_quadcshift

### Description

Flash coefficient for when you take the quad. (needs gl_polyblend 1)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.75

Variable is float.

## v_ringcshift

### Description

Flash coefficient for when you take the ring. (needs gl_polyblend 1)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.75

Variable is float.

## v_suitcshift

### Description

Flash coefficient for when you take the suit. (needs gl_polyblend 1)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.75

Variable is float.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs